import React, { Component } from 'react'
import SvgIcon from 'material-ui/SvgIcon'
import { withStyles } from 'material-ui/styles'

class PlayIcon extends Component {
    render() {
        const { theme } = this.props

        return (
            <SvgIcon>
                <path fill={theme.palette.primary.main} d="M8,5.14V19.14L19,12.14L8,5.14Z" />
            </SvgIcon>
        )
    }
}

export default withStyles(null, { withTheme: true })(PlayIcon)