import React, { Component } from 'react'
import { withStyles } from 'material-ui/styles'
import Paper from 'material-ui/Paper'
import Table, { TableHead, TableBody, TableRow, TableCell} from 'material-ui/Table'
import Checkbox from 'material-ui/Checkbox'

const styles = theme => ({
    root: {
        width: '100%'
    }
})

class TasksTable extends Component {
    render() {
        const { classes } = this.props

        return (
            <Paper className={classes.root}>
                <Table>
                    <TableHead>
                        <TableRow>
                            <TableCell>
                                <Checkbox />
                            </TableCell>
                            <TableCell>Nombre</TableCell>
                            <TableCell>Última ejecución</TableCell>
                        </TableRow>
                    </TableHead>
                    <TableBody>
                    </TableBody>
                </Table>
            </Paper>
        )
    }
}

export default withStyles(styles)(TasksTable)
