import { REQUEST_OK } from '../constants/ActionTypes'
import { has } from 'lodash'

export const requests = (state = [], action) => {
    if (action.type !== REQUEST_OK) {
        return state
    }

    if (has(action.payload, 'requests')) {
        return action.payload.requests
    }

    return state
}