import Dashboard from '../components/pages/Dashboard'
import ContainersList from '../components/pages/ContainersList'
import RequestsList from '../components/pages/RequestsList'
import TasksList from '../components/pages/TasksList'
import UsersList from '../components/pages/UsersList'
import PermissionsList from '../components/pages/PermissionsList'
import About from '../components/pages/About'
// import Page404 from '../components/pages/404'

// import DockerIcon from '../components/icons/DockerIcon'
// import TaskIcon from '../components/icons/TaskIcon'
// import FactoryIcon from '../components/icons/FactoryIcon'
// import UserIcon from '../components/icons/UserIcon'
// import PermissionIcon from '../components/icons/PermissionIcon'
// import AboutIcon from '../components/icons/AboutIcon'

const routes = [
    {
        path: '/dashboard',
        component: Dashboard,
        title: 'Dashboard',
    },
    {
        path: '/containers',
        component: ContainersList,
        title: 'Contenedores'
    },
    {
        path: '/requests',
        component: RequestsList,
        title: 'Solicitudes'
    },
    {
        path: '/tasks',
        component: TasksList,
        title: 'Tareas Automatizadas'
    },
    {
        path: '/users',
        component: UsersList,
        title: 'Usuarios'
    },
    {
        path: '/permissions',
        component: PermissionsList,
        title: 'Permisos'
    },
    {
        path: '/about',
        component: About,
        title: 'Acerca de'
    },
    // {
    //     component: Page404,
    //     title: 'Recurso no encontrado'
    // }
]

export default routes