import React, { Component } from 'react'
import SvgIcon from 'material-ui/SvgIcon'
import { withStyles } from 'material-ui/styles'

class EiruIcon extends Component {
    render() {
        const { theme } = this.props

        return (
            <SvgIcon>
                <path fill={theme.palette.primary.main} d="M13,9H11V7H13M13,17H11V11H13M12,2A10,10 0 0,0 2,12A10,10 0 0,0 12,22A10,10 0 0,0 22,12A10,10 0 0,0 12,2Z" />
            </SvgIcon>
        )
    }
}

export default withStyles(null, { withTheme: true })(EiruIcon)