import React, { Component } from 'react'
import SvgIcon from 'material-ui/SvgIcon'
import { withStyles } from 'material-ui/styles'

class StopIcon extends Component {
    render() {
        const { theme } = this.props

        return (
            <SvgIcon>
                <path fill={theme.palette.primary.main} d="M18,18H6V6H18V18Z" />
            </SvgIcon>
        )
    }
}

export default withStyles(null, { withTheme: true })(StopIcon)