import React, { Component } from 'react'
import SvgIcon from 'material-ui/SvgIcon'
import { withStyles } from 'material-ui/styles'

class TaskIcon extends Component {
    render() {
        const { theme } = this.props

        return (
            <SvgIcon>
                <path fill={theme.palette.primary.main} d="M9,5V9H21V5M9,19H21V15H9M9,14H21V10H9M4,9H8V5H4M4,19H8V15H4M4,14H8V10H4V14Z" />
            </SvgIcon>
        )
    }
}

export default withStyles(null, { withTheme: true })(TaskIcon)